Your Moodle version

Filters: Ensemble Video filter

filter_ensemble
Maintained by Picture of Jim Pease Jim Pease, Picture of Scott Nadzan Scott Nadzan
Along with the Ensemble Video Moodle Repository Plugin, this plugin makes it easier for Moodle users to add videos and playlists to content without having to navigate to Ensemble Video and copy/paste complicated embed codes. This plugin filters content to render urls added by the repository plugin as Ensemble Video embed codes.

Sets

This plugin is part of set Ensemble video. Plugins from the set work the best when installed together.

Contributors

Picture of Jim Pease
Jim Pease (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Capt. Moodle
    Fri, Sep 13, 2013, 1:15 PM
    Jim - Many thanks for sharing this plugin with the Moodle community. I noticed a couple of minor validation warnings which I would ask you to tidy up when you get a chance. Namely,

    Maturity information ($plugin->maturity) not found in version.php
    Release name ($plugin->release) not found in version.php

    http://docs.moodle.org/dev/version.php has more information about those variables if you need it.

    While you are working on the version.php you might also make the licensing information a little more explicit. If you would, review http://docs.moodle.org/dev/Coding_style#Files and make those adjustments as you are able.

    I've installed the plugins but did not do any extensive testing as I do not have an Ensemble server. I'm going to go ahead and approve this plugin. I also created a set for plugins related to services provided by EnsembleVideo.com. Please do not hesitate to let me know if there is anything I can do to be supportive of your efforts. Peace - Anthony
  • Capt. Moodle
    Fri, Sep 13, 2013, 1:15 PM
    p.s. - A screenshot for the plugin might also be helpful when you get a chance
  • Capt. Moodle
    Fri, Sep 13, 2013, 1:20 PM
    FYI - For the source control URL I removed the reference to the MOODLE_24_STABLE branch since it appears you have a branch for Moodle 2.4 and 2.5 and those can handled with versions. The idea behind the URL is just to get folks to the repository.
Please login to post comments